Bug 184333 - [maintainer update] Important update lang/basic256 to 1.0.0.0
Summary: [maintainer update] Important update lang/basic256 to 1.0.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-27 17:30 UTC by Fernando Apesteguía
Modified: 2013-11-29 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (506 bytes, patch)
2013-11-27 17:30 UTC, Fernando Apesteguía
no flags Details | Diff
basic256.diff (332 bytes, patch)
2013-11-28 17:38 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-11-27 17:30:00 UTC
Port doesn't not build because the do-configure section was removed by mistake.

Fix: Apply the attached patch that restores such section

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/lang/basic256 && make
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-11-28 15:13:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-11-28 17:38:47 UTC
Hi,

Fernando pointed this PR to me too, and I noticed the line

QMAKE_PRO=      BASIC256.pro

was removed. It is in fast needed. A fast test with poudriere show the 
attached patch which puts that line back in fixes the port.

This is in my opinion cleaner than creating a custom do-configure 
target, since we now have full qmake support in the ports system.

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 dfilter service freebsd_committer 2013-11-28 17:42:59 UTC
Author: danilo
Date: Thu Nov 28 17:42:53 2013
New Revision: 335111
URL: http://svnweb.freebsd.org/changeset/ports/335111

Log:
  - Add the do-configure target
  
  PR:		ports/184333
  Submitted by:	Fernando <fernando.apesteguia@gmail.com> (maintainer)

Modified:
  head/lang/basic256/Makefile

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Thu Nov 28 17:23:15 2013	(r335110)
+++ head/lang/basic256/Makefile	Thu Nov 28 17:42:53 2013	(r335111)
@@ -24,6 +24,10 @@ USE_QT4=	corelib gui network xml webkit 
 
 MAKE_JOBS_UNSAFE=	yes
 
+do-configure:
+	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
+		${QMAKE} "PREFIX=${PREFIX}" BASIC256.pro
+
 post-patch:
 	@${REINPLACE_CMD} -e 's/mutex/mymutex/' ${WRKSRC}/*.cpp
 	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/BASIC256.pro
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Danilo Egea Gondolfo freebsd_committer 2013-11-28 17:43:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-11-28 17:52:54 UTC
Author: danilo
Date: Thu Nov 28 17:52:42 2013
New Revision: 335115
URL: http://svnweb.freebsd.org/changeset/ports/335115

Log:
  - Use QMAKE_PRO instead of do-configure
  
  PR:		ports/184333
  Suggested by:	madpilot

Modified:
  head/lang/basic256/Makefile

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Thu Nov 28 17:50:36 2013	(r335114)
+++ head/lang/basic256/Makefile	Thu Nov 28 17:52:42 2013	(r335115)
@@ -21,13 +21,10 @@ WRKSRC=		${WRKDIR}
 USES=		bison dos2unix qmake
 USE_SDL=	sdl mixer
 USE_QT4=	corelib gui network xml webkit moc_build rcc_build uic_build
+QMAKE_PRO=	BASIC256.pro
 
 MAKE_JOBS_UNSAFE=	yes
 
-do-configure:
-	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
-		${QMAKE} "PREFIX=${PREFIX}" BASIC256.pro
-
 post-patch:
 	@${REINPLACE_CMD} -e 's/mutex/mymutex/' ${WRKSRC}/*.cpp
 	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' ${WRKSRC}/BASIC256.pro
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Fernando Apesteguía freebsd_committer 2013-11-28 17:58:41 UTC
I fully agree with Gido's patch.

I'm sorry but I cannot test it myself within at least a couple of hours.
Comment 7 Fernando Apesteguía freebsd_committer 2013-11-29 10:35:20 UTC
On Thu, Nov 28, 2013 at 6:58 PM, Fernando Apesteguía <
fernando.apesteguia@gmail.com> wrote:

> I fully agree with Gido's patch.
>
> I'm sorry but I cannot test it myself within at least a couple of hours.
>


Done.

I tested this[1] version (Gido's patch) in redports successfully[2][3]

[1] https://redports.org/changeset/20075
[2]
https://redports.org//~fernape/20131128222400-62746-161450/basic256-1.0.0.0.log
[3]
https://redports.org//~fernape/20131128222400-62746-161451/basic256-1.0.0.0.log

IMO it looks better with the QMAKE_PRO variable and removing the tailored
do-configure target.

Regards